/**Begin D:\PDM_UPGRADE\PDM1\EB_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_REPORTSHARE' AND KSQL_COL_NAME IN ('FDATA')) 
 ALTER TABLE T_EB_REPORTSHARE ADD (FDATA NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_REPORTSHARE' AND KSQL_COL_NAME IN ('FFLAGID')) 
 ALTER TABLE T_EB_REPORTSHARE ADD (FFLAGID NVARCHAR(50) DEFAULT ' ' NOT NULL );
 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ADJUSTPROJECT') 
 CREATE TABLE T_EB_ADJUSTPROJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FADJUSTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADJENTITY BIGINT DEFAULT 0 NOT NULL,
FADJACCOUNT BIGINT DEFAULT 0 NOT NULL,
FMODEL BIGINT DEFAULT 0 NOT NULL,
FADJCUSTOMDIM1 BIGINT DEFAULT 0 NOT NULL,
FADJCUSTOMDIM2 BIGINT DEFAULT 0 NOT NULL,
FADJCUSTOMDIM3 BIGINT DEFAULT 0 NOT NULL,
FADJCUSTOMDIM4 BIGINT DEFAULT 0 NOT NULL,
FADJCUSTOMDIM5 BIGINT DEFAULT 0 NOT NULL,
FADJCUSTOMDIM6 BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ADJUSTPROJECT_L') 
 CREATE TABLE T_EB_ADJUSTPROJECT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FADJUSTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\EB_table.sql **/
